<template>

  <div class="app-container">
    <h3>총 미해결 이슈 </h3>
    <el-table
      v-loading="loading"
      :data="issues"
      border
      fit
      highlight-current-row
      style="width: 100%"
    >
      <el-table-column
        prop="priority"
        label="우선순위"
        width="100"
        align="center"
      />

      <el-table-column
        prop="name"
        label="이슈 유형"
        width="700"
        align="center"
      >
        <template slot-scope="{row}">
          <span>{{ row.name }}</span>
        </template>
      </el-table-column>

      <el-table-column
        prop="deviceRole"
        label="디바이스 역할"
        width="200"
        align="center"
      />

      <el-table-column
        prop="category"
        label="범주"
        width="200"
        align="center"
      />

      <el-table-column
        prop="issue_occurence_count"
        label="이슈 개수"
        width="120"
        align="center"
      />

      <el-table-column
        prop="last_occurence_time"
        label="마지막 발생 시간"
        width="350"
        align="center"
      >
        <template slot-scope="{row}">
          <span>{{ row.last_occurence_time | parseTime('{y}-{m}-{d} {h}:{i}') }}</span>
        </template>
      </el-table-column>

      <!-- 여기에 추가적인 열을 정의할 수 있음 -->

    </el-table>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  computed: {
    issues() {
      return this.$store.getters['dnaCenter/issues']
    },
    loading() {
      return this.$store.getters['dnaCenter/loading']
    }
  },

  created() {
    this.$store.dispatch('dnaCenter/fetchIssues')
  },
  methods: {
    fetchIssues() {
      this.loading = true
      axios.get('/dna/intent/api/v1/issues', {
        headers: {
          'X-Auth-Token': this.token
        }
      })
        .then(response => {
          this.issues = response.data.response
          this.loading = false
        })
        .catch(error => {
          console.error('이슈 데이터 가져오기 오류:', error)
          this.loading = false
        })
    },
    parseTime(time) {
      // 시간을 파싱하는 함수를 여기에 구현
    }
  }
}
</script>
